// ======================================================================
// DDS_24_FastRegAdder_wMixer.v generated from TopDesign.cysch
// 12/03/2010 at 16:37
// ======================================================================

/* -- WARNING: The following section of defines are deprecated and will be removed in a future release -- */
`define CYDEV_CHIP_DIE_LEOPARD 1
`define CYDEV_CHIP_REV_LEOPARD_ES1 0
`define CYDEV_CHIP_REV_LEOPARD_ES2 1
`define CYDEV_CHIP_REV_LEOPARD_ES3 3
`define CYDEV_CHIP_DIE_PANTHER 2
`define CYDEV_CHIP_REV_PANTHER_ES0 0
`define CYDEV_CHIP_REV_PANTHER_ES1 1
`define CYDEV_CHIP_DIE_EXPECT 2
`define CYDEV_CHIP_REV_EXPECT 1
`define CYDEV_CHIP_DIE_ACTUAL 2
/* -- WARNING: The previous section of defines are deprecated and will be removed in a future release -- */
`define CYDEV_CHIP_FAMILY_UNKNOWN 0
`define CYDEV_CHIP_MEMBER_UNKNOWN 0
`define CYDEV_CHIP_FAMILY_PSOC3 1
`define CYDEV_CHIP_MEMBER_3A 1
`define CYDEV_CHIP_REVISION_3A_ES1 0
`define CYDEV_CHIP_REVISION_3A_ES2 1
`define CYDEV_CHIP_REVISION_3A_ES3 3
`define CYDEV_CHIP_FAMILY_PSOC5 2
`define CYDEV_CHIP_MEMBER_5A 2
`define CYDEV_CHIP_REVISION_5A_ES0 0
`define CYDEV_CHIP_REVISION_5A_ES1 1
`define CYDEV_CHIP_FAMILY_USED 2
`define CYDEV_CHIP_MEMBER_USED 2
`define CYDEV_CHIP_REVISION_USED 1
// Component: LUT_v1_50
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\LUT_v1_50"
`include "$CYPRESS_DIR\..\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\LUT_v1_50\LUT_v1_50.v"
`else
`define CY_BLK_DIR "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\LUT_v1_50"
`include "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\LUT_v1_50\LUT_v1_50.v"
`endif

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_2, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder8_1_FR_Adder4_2_FR_Adder2_2, )
module FR_Adder2_0 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder8_1_FR_Adder4_2_FR_Adder2_1, )
module FR_Adder2_1 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder4(CY_COMPONENT_NAME=FR_Adder4, CY_INSTANCE_SHORT_NAME=FR_Adder4_2, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder8_1_FR_Adder4_2, )
module FR_Adder4_2 (A, B, S, Cin, Clk, Cout);
    input  [0:3] A;
    input  [0:3] B;
    output [0:3] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_10;

    FR_Adder2_0 FR_Adder2_2 (
        .A(A[2:3]),
        .B(B[2:3]),
        .Cin(Net_10),
        .Clk(Clk),
        .S(S[2:3]),
        .Cout(Cout));

    FR_Adder2_1 FR_Adder2_1 (
        .A(A[0:1]),
        .B(B[0:1]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:1]),
        .Cout(Net_10));



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_2, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder8_1_FR_Adder4_1_FR_Adder2_2, )
module FR_Adder2_3 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder8_1_FR_Adder4_1_FR_Adder2_1, )
module FR_Adder2_4 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder4(CY_COMPONENT_NAME=FR_Adder4, CY_INSTANCE_SHORT_NAME=FR_Adder4_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder8_1_FR_Adder4_1, )
module FR_Adder4_5 (A, B, S, Cin, Clk, Cout);
    input  [0:3] A;
    input  [0:3] B;
    output [0:3] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_10;

    FR_Adder2_3 FR_Adder2_2 (
        .A(A[2:3]),
        .B(B[2:3]),
        .Cin(Net_10),
        .Clk(Clk),
        .S(S[2:3]),
        .Cout(Cout));

    FR_Adder2_4 FR_Adder2_1 (
        .A(A[0:1]),
        .B(B[0:1]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:1]),
        .Cout(Net_10));



endmodule

// FR_Adder8(CY_COMPONENT_NAME=FR_Adder8, CY_INSTANCE_SHORT_NAME=FR_Adder8_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder8_1, )
module FR_Adder8_6 (A, B, S, Cin, Clk, Cout);
    input  [0:7] A;
    input  [0:7] B;
    output [0:7] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_4;

    FR_Adder4_2 FR_Adder4_2 (
        .A(A[4:7]),
        .B(B[4:7]),
        .Cin(Net_4),
        .Clk(Clk),
        .S(S[4:7]),
        .Cout(Cout));

    FR_Adder4_5 FR_Adder4_1 (
        .A(A[0:3]),
        .B(B[0:3]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:3]),
        .Cout(Net_4));



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_2, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_2_FR_Adder4_2_FR_Adder2_2, )
module FR_Adder2_7 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_2_FR_Adder4_2_FR_Adder2_1, )
module FR_Adder2_8 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder4(CY_COMPONENT_NAME=FR_Adder4, CY_INSTANCE_SHORT_NAME=FR_Adder4_2, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_2_FR_Adder4_2, )
module FR_Adder4_9 (A, B, S, Cin, Clk, Cout);
    input  [0:3] A;
    input  [0:3] B;
    output [0:3] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_10;

    FR_Adder2_7 FR_Adder2_2 (
        .A(A[2:3]),
        .B(B[2:3]),
        .Cin(Net_10),
        .Clk(Clk),
        .S(S[2:3]),
        .Cout(Cout));

    FR_Adder2_8 FR_Adder2_1 (
        .A(A[0:1]),
        .B(B[0:1]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:1]),
        .Cout(Net_10));



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_2, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_2_FR_Adder4_1_FR_Adder2_2, )
module FR_Adder2_10 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_2_FR_Adder4_1_FR_Adder2_1, )
module FR_Adder2_11 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder4(CY_COMPONENT_NAME=FR_Adder4, CY_INSTANCE_SHORT_NAME=FR_Adder4_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_2_FR_Adder4_1, )
module FR_Adder4_12 (A, B, S, Cin, Clk, Cout);
    input  [0:3] A;
    input  [0:3] B;
    output [0:3] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_10;

    FR_Adder2_10 FR_Adder2_2 (
        .A(A[2:3]),
        .B(B[2:3]),
        .Cin(Net_10),
        .Clk(Clk),
        .S(S[2:3]),
        .Cout(Cout));

    FR_Adder2_11 FR_Adder2_1 (
        .A(A[0:1]),
        .B(B[0:1]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:1]),
        .Cout(Net_10));



endmodule

// FR_Adder8(CY_COMPONENT_NAME=FR_Adder8, CY_INSTANCE_SHORT_NAME=FR_Adder8_2, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_2, )
module FR_Adder8_13 (A, B, S, Cin, Clk, Cout);
    input  [0:7] A;
    input  [0:7] B;
    output [0:7] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_4;

    FR_Adder4_9 FR_Adder4_2 (
        .A(A[4:7]),
        .B(B[4:7]),
        .Cin(Net_4),
        .Clk(Clk),
        .S(S[4:7]),
        .Cout(Cout));

    FR_Adder4_12 FR_Adder4_1 (
        .A(A[0:3]),
        .B(B[0:3]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:3]),
        .Cout(Net_4));



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_2, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_1_FR_Adder4_2_FR_Adder2_2, )
module FR_Adder2_14 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_1_FR_Adder4_2_FR_Adder2_1, )
module FR_Adder2_15 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder4(CY_COMPONENT_NAME=FR_Adder4, CY_INSTANCE_SHORT_NAME=FR_Adder4_2, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_1_FR_Adder4_2, )
module FR_Adder4_16 (A, B, S, Cin, Clk, Cout);
    input  [0:3] A;
    input  [0:3] B;
    output [0:3] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_10;

    FR_Adder2_14 FR_Adder2_2 (
        .A(A[2:3]),
        .B(B[2:3]),
        .Cin(Net_10),
        .Clk(Clk),
        .S(S[2:3]),
        .Cout(Cout));

    FR_Adder2_15 FR_Adder2_1 (
        .A(A[0:1]),
        .B(B[0:1]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:1]),
        .Cout(Net_10));



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_2, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_1_FR_Adder4_1_FR_Adder2_2, )
module FR_Adder2_17 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder2(CY_COMPONENT_NAME=FR_Adder2, CY_INSTANCE_SHORT_NAME=FR_Adder2_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_1_FR_Adder4_1_FR_Adder2_1, )
module FR_Adder2_18 (A, S, B, Cout, Cin, Clk);
    input  [0:1] A;
    output [0:1] S;
    input  [0:1] B;
    output  Cout;
    input   Cin;
    input   Clk;


    wire  Net_33;
    wire  Net_34;
    wire  Net_35;
    wire  Net_36;
    wire  Net_37;

    // -- LUT LUT_1 start --
    if (1)
    begin : LUT_1
        reg [2:0] tmp__LUT_1_reg;
        wire [4:0] tmp__LUT_1_ins;
        assign tmp__LUT_1_ins = {Cin,B[1],B[0],A[1],A[0]};
        always @(posedge Clk)
        begin
            case (tmp__LUT_1_ins)
                5'b00000 :  tmp__LUT_1_reg = 3'b000;
                5'b00001 :  tmp__LUT_1_reg = 3'b001;
                5'b00010 :  tmp__LUT_1_reg = 3'b010;
                5'b00011 :  tmp__LUT_1_reg = 3'b011;
                5'b00100 :  tmp__LUT_1_reg = 3'b001;
                5'b00101 :  tmp__LUT_1_reg = 3'b010;
                5'b00110 :  tmp__LUT_1_reg = 3'b011;
                5'b00111 :  tmp__LUT_1_reg = 3'b100;
                5'b01000 :  tmp__LUT_1_reg = 3'b010;
                5'b01001 :  tmp__LUT_1_reg = 3'b011;
                5'b01010 :  tmp__LUT_1_reg = 3'b100;
                5'b01011 :  tmp__LUT_1_reg = 3'b101;
                5'b01100 :  tmp__LUT_1_reg = 3'b011;
                5'b01101 :  tmp__LUT_1_reg = 3'b100;
                5'b01110 :  tmp__LUT_1_reg = 3'b101;
                5'b01111 :  tmp__LUT_1_reg = 3'b110;
                5'b10000 :  tmp__LUT_1_reg = 3'b001;
                5'b10001 :  tmp__LUT_1_reg = 3'b010;
                5'b10010 :  tmp__LUT_1_reg = 3'b011;
                5'b10011 :  tmp__LUT_1_reg = 3'b100;
                5'b10100 :  tmp__LUT_1_reg = 3'b010;
                5'b10101 :  tmp__LUT_1_reg = 3'b011;
                5'b10110 :  tmp__LUT_1_reg = 3'b100;
                5'b10111 :  tmp__LUT_1_reg = 3'b101;
                5'b11000 :  tmp__LUT_1_reg = 3'b011;
                5'b11001 :  tmp__LUT_1_reg = 3'b100;
                5'b11010 :  tmp__LUT_1_reg = 3'b101;
                5'b11011 :  tmp__LUT_1_reg = 3'b110;
                5'b11100 :  tmp__LUT_1_reg = 3'b100;
                5'b11101 :  tmp__LUT_1_reg = 3'b101;
                5'b11110 :  tmp__LUT_1_reg = 3'b110;
                5'b11111 :  tmp__LUT_1_reg = 3'b111;
            endcase
        end
        assign {Cout,S[1],S[0]} = tmp__LUT_1_reg;
    end
    // -- LUT LUT_1 end --



endmodule

// FR_Adder4(CY_COMPONENT_NAME=FR_Adder4, CY_INSTANCE_SHORT_NAME=FR_Adder4_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_1_FR_Adder4_1, )
module FR_Adder4_19 (A, B, S, Cin, Clk, Cout);
    input  [0:3] A;
    input  [0:3] B;
    output [0:3] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_10;

    FR_Adder2_17 FR_Adder2_2 (
        .A(A[2:3]),
        .B(B[2:3]),
        .Cin(Net_10),
        .Clk(Clk),
        .S(S[2:3]),
        .Cout(Cout));

    FR_Adder2_18 FR_Adder2_1 (
        .A(A[0:1]),
        .B(B[0:1]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:1]),
        .Cout(Net_10));



endmodule

// FR_Adder8(CY_COMPONENT_NAME=FR_Adder8, CY_INSTANCE_SHORT_NAME=FR_Adder8_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1_FR_Adder8_1, )
module FR_Adder8_20 (A, B, S, Cin, Clk, Cout);
    input  [0:7] A;
    input  [0:7] B;
    output [0:7] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_4;

    FR_Adder4_16 FR_Adder4_2 (
        .A(A[4:7]),
        .B(B[4:7]),
        .Cin(Net_4),
        .Clk(Clk),
        .S(S[4:7]),
        .Cout(Cout));

    FR_Adder4_19 FR_Adder4_1 (
        .A(A[0:3]),
        .B(B[0:3]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:3]),
        .Cout(Net_4));



endmodule

// FR_Adder16(CY_COMPONENT_NAME=FR_Adder16, CY_INSTANCE_SHORT_NAME=FR_Adder16_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1_FR_Adder16_1, )
module FR_Adder16_21 (A, B, S, Cin, Clk, Cout);
    input  [0:15] A;
    input  [0:15] B;
    output [0:15] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_8;

    FR_Adder8_13 FR_Adder8_2 (
        .A(A[8:15]),
        .B(B[8:15]),
        .Cin(Net_8),
        .Clk(Clk),
        .S(S[8:15]),
        .Cout(Cout));

    FR_Adder8_20 FR_Adder8_1 (
        .A(A[0:7]),
        .B(B[0:7]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:7]),
        .Cout(Net_8));



endmodule

// FR_Adders24(CY_COMPONENT_NAME=FR_Adders24, CY_INSTANCE_SHORT_NAME=FR_Adders24_1, CY_MAJOR_VERSION=0, CY_MINOR_VERSION=0, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=FR_Adders24_1, )
module FR_Adders24_22 (A, B, S, Cin, Clk, Cout);
    input  [0:23] A;
    input  [0:23] B;
    output [0:23] S;
    input   Cin;
    input   Clk;
    output  Cout;


    wire  Net_8;

    FR_Adder8_6 FR_Adder8_1 (
        .A(A[16:23]),
        .B(B[16:23]),
        .Cin(Net_8),
        .Clk(Clk),
        .S(S[16:23]),
        .Cout(Cout));

    FR_Adder16_21 FR_Adder16_1 (
        .A(A[0:15]),
        .B(B[0:15]),
        .Cin(Cin),
        .Clk(Clk),
        .S(S[0:15]),
        .Cout(Net_8));



endmodule

// Component: CyControlReg_v1_50
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\CyControlReg_v1_50"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\CyControlReg_v1_50\CyControlReg_v1_50.v"
`else
`define CY_BLK_DIR "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\CyControlReg_v1_50"
`include "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\CyControlReg_v1_50\CyControlReg_v1_50.v"
`endif

// Component: ZeroTerminal
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\ZeroTerminal"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\ZeroTerminal\ZeroTerminal.v"
`else
`define CY_BLK_DIR "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\ZeroTerminal"
`include "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\ZeroTerminal\ZeroTerminal.v"
`endif

// Component: cy_virtualmux_v1_0
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\cy_virtualmux_v1_0"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\cy_virtualmux_v1_0\cy_virtualmux_v1_0.v"
`else
`define CY_BLK_DIR "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\cy_virtualmux_v1_0"
`include "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\cy_virtualmux_v1_0\cy_virtualmux_v1_0.v"
`endif

// Component: B_UART_v1_50
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_UART_v1_50"
`include "$CYPRESS_DIR\..\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_UART_v1_50\B_UART_v1_50.v"
`else
`define CY_BLK_DIR "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_UART_v1_50"
`include "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cycomponentlibrary\CyComponentLibrary.cylib\B_UART_v1_50\B_UART_v1_50.v"
`endif

// UART_v1_50(Address1=0, Address2=0, BaudRate=57600, BreakBitsRX=13, BreakBitsTX=13, BreakDetect=false, CRCoutputsEn=false, CtrlModeReplacementString=AsyncCtl, Enable_RX=1, Enable_RXIntInterrupt=0, Enable_TX=1, Enable_TXIntInterrupt=0, EnableHWAddress=0, EnIntRXInterrupt=false, EnIntTXInterrupt=false, FlowControl=0, HalfDuplexEn=false, HwTXEnSignal=false, InternalClock=true, InternalClockUsed=1, InterruptOnAddDetect=0, InterruptOnAddressMatch=0, InterruptOnBreak=0, InterruptOnByteRcvd=1, InterruptOnOverrunError=0, InterruptOnParityError=0, InterruptOnStopError=0, InterruptOnTXComplete=false, InterruptOnTXFifoEmpty=false, InterruptOnTXFifoFull=false, InterruptOnTXFifoNotFull=false, IntOnAddressDetect=false, IntOnAddressMatch=false, IntOnBreak=false, IntOnByteRcvd=true, IntOnOverrunError=false, IntOnParityError=false, IntOnStopError=false, NumDataBits=8, NumStopBits=1, OverSamplingRate=8, ParityType=0, ParityTypeSw=false, RequiredClock=460800, RXAddressMode=0, RXBufferSize=1, RxBuffRegSizeReplacementString=uint8, RXEnable=true, TXBitClkGenDP=true, TXBufferSize=1, TxBuffRegSizeReplacementString=uint8, TXEnable=true, Use23Polling=true, CY_COMPONENT_NAME=UART_v1_50, CY_INSTANCE_SHORT_NAME=UART_1, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=50, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=UART_1, )
module UART_v1_50_23 (rx_clk, rx_data, tx_clk, tx_data, rx_interrupt, tx_interrupt, tx, tx_en, rts_n, reset, cts_n, clock, rx);
    output  rx_clk;
    output  rx_data;
    output  tx_clk;
    output  tx_data;
    output  rx_interrupt;
    output  tx_interrupt;
    output  tx;
    output  tx_en;
    output  rts_n;
    input   reset;
    input   cts_n;
    input   clock;
    input   rx;

    parameter Address1 = 0;
    parameter Address2 = 0;
    parameter EnIntRXInterrupt = 0;
    parameter EnIntTXInterrupt = 0;
    parameter FlowControl = 0;
    parameter HalfDuplexEn = 0;
    parameter HwTXEnSignal = 0;
    parameter NumDataBits = 8;
    parameter NumStopBits = 1;
    parameter ParityType = 0;
    parameter RXEnable = 1;
    parameter TXEnable = 1;

    wire  Net_289;
    wire  Net_9;
    wire  Net_61;


	cy_clock_v1_0
		#(.id("b0162966-0060-4af5-82d1-fcb491ad7619/be0a0e37-ad17-42ca-b5a1-1a654d736358"),
		  .source_clock_id(""),
		  .divisor(0),
		  .period("2170138888.88889"),
		  .is_direct(0),
		  .is_digital(1))
		IntClock
		 (.clock_out(Net_9));


	// VirtualMux_1 (cy_virtualmux_v1_0)
	assign Net_61 = Net_9;

    B_UART_v1_50 BUART (
        .cts_n(cts_n),
        .tx(tx),
        .rts_n(rts_n),
        .tx_en(tx_en),
        .clock(Net_61),
        .reset(reset),
        .rx(rx),
        .tx_interrupt(tx_interrupt),
        .rx_interrupt(rx_interrupt),
        .tx_data(tx_data),
        .tx_clk(tx_clk),
        .rx_data(rx_data),
        .rx_clk(rx_clk));
    defparam BUART.Address1 = 0;
    defparam BUART.Address2 = 0;
    defparam BUART.BreakBitsRX = 13;
    defparam BUART.BreakBitsTX = 13;
    defparam BUART.BreakDetect = 0;
    defparam BUART.CRCoutputsEn = 0;
    defparam BUART.FlowControl = 0;
    defparam BUART.HalfDuplexEn = 0;
    defparam BUART.HwTXEnSignal = 0;
    defparam BUART.NumDataBits = 8;
    defparam BUART.NumStopBits = 1;
    defparam BUART.OverSampleCount = 8;
    defparam BUART.ParityType = 0;
    defparam BUART.ParityTypeSw = 0;
    defparam BUART.RXAddressMode = 0;
    defparam BUART.RXEnable = 1;
    defparam BUART.RXStatusIntEnable = 1;
    defparam BUART.TXBitClkGenDP = 1;
    defparam BUART.TXEnable = 1;
    defparam BUART.Use23Polling = 1;



endmodule

// CharLCD_v1_50(ConversionRoutines=true, CUSTOM0=0,E,8,8,8,E,0, CUSTOM1=0,A,A,4,4,4,0, CUSTOM2=0,E,A,E,8,8,0, CUSTOM3=0,E,A,C,A,A,0, CUSTOM4=0,E,8,C,8,E,0, CUSTOM5=0,E,8,E,2,E,0, CUSTOM6=0,E,8,E,2,E,0, CUSTOM7=0,4,4,4,0,4,0, CustomCharacterSet=0, CY_COMPONENT_NAME=CharLCD_v1_50, CY_INSTANCE_SHORT_NAME=LCD_Char_1, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=50, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=LCD_Char_1, )
module CharLCD_v1_50_24 ;



	wire [6:0] tmpOE__LCDPort_net;
	wire [6:0] tmpFB_6__LCDPort_net;
	wire [6:0] tmpIO_6__LCDPort_net;
	wire [0:0] tmpINTERRUPT_0__LCDPort_net;
	electrical [0:0] tmpSIOVREF__LCDPort_net;

	cy_psoc3_pins_v1_10
		#(.id("09f2c310-b3d4-481f-883c-11d2e15d7a6c/ed092b9b-d398-4703-be89-cebf998501f6"),
		  .drive_mode(21'b110_110_110_110_110_110_110),
		  .ibuf_enabled(7'b1_1_1_1_1_1_1),
		  .init_dr_st(7'b0_0_0_0_0_0_0),
		  .input_sync(7'b1_1_1_1_1_1_1),
		  .intr_mode(14'b00_00_00_00_00_00_00),
		  .io_voltage(", , , , , , "),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(7'b0_0_0_0_0_0_0),
		  .output_sync(7'b0_0_0_0_0_0_0),
		  .pin_aliases(",,,,,,"),
		  .pin_mode("OOOOOOO"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(7'b0_0_0_0_0_0_0),
		  .sio_ibuf(""),
		  .sio_info(14'b00_00_00_00_00_00_00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(7'b0_0_0_0_0_0_0),
		  .spanning(0),
		  .vtrip(14'b10_10_10_10_10_10_10),
		  .width(7))
		LCDPort
		 (.oe(tmpOE__LCDPort_net),
		  .y({7'b0}),
		  .fb({tmpFB_6__LCDPort_net[6:0]}),
		  .io({tmpIO_6__LCDPort_net[6:0]}),
		  .siovref(tmpSIOVREF__LCDPort_net),
		  .interrupt({tmpINTERRUPT_0__LCDPort_net[0:0]}));

	assign tmpOE__LCDPort_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{7'b1} : {7'b1};



endmodule

// Component: cy_vref_v1_50
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\cy_vref_v1_50"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\cy_vref_v1_50\cy_vref_v1_50.v"
`else
`define CY_BLK_DIR "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\cy_vref_v1_50"
`include "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\cy_vref_v1_50\cy_vref_v1_50.v"
`endif

// Component: cy_analog_virtualmux_v1_0
`ifdef CY_BLK_DIR
`undef CY_BLK_DIR
`endif

`ifdef WARP
`define CY_BLK_DIR "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\cy_analog_virtualmux_v1_0"
`include "$CYPRESS_DIR\..\psoc\content\cyprimitives\CyPrimitives.cylib\cy_analog_virtualmux_v1_0\cy_analog_virtualmux_v1_0.v"
`else
`define CY_BLK_DIR "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\cy_analog_virtualmux_v1_0"
`include "C:\Cypress\PSoC Creator\1.0\PSoC Creator\psoc\content\cyprimitives\CyPrimitives.cylib\cy_analog_virtualmux_v1_0\cy_analog_virtualmux_v1_0.v"
`endif

// OpAmp_v1_50(Mode=1, Power=1, CY_COMPONENT_NAME=OpAmp_v1_50, CY_INSTANCE_SHORT_NAME=Opamp_0, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=50, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=Opamp_0, )
module OpAmp_v1_50_25 (Vplus, Vout, Vminus);
    inout   Vplus;
    electrical   Vplus;
    inout   Vout;
    electrical   Vout;
    inout   Vminus;
    electrical   Vminus;

    parameter Mode = 1;

    electrical  Net_29;

    cy_psoc3_abuf_v1_0 ABuf (
        .vplus(Vplus),
        .vminus(Net_29),
        .vout(Vout));

	// abuf_negInput_mux (cy_analog_virtualmux_v1_0)
	cy_connect_v1_0 abuf_negInput_mux_connect(Net_29, Vout);
	defparam abuf_negInput_mux_connect.sig_width = 1;



endmodule

// OpAmp_v1_50(Mode=1, Power=1, CY_COMPONENT_NAME=OpAmp_v1_50, CY_INSTANCE_SHORT_NAME=Opamp_2, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=50, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=Opamp_2, )
module OpAmp_v1_50_26 (Vplus, Vout, Vminus);
    inout   Vplus;
    electrical   Vplus;
    inout   Vout;
    electrical   Vout;
    inout   Vminus;
    electrical   Vminus;

    parameter Mode = 1;

    electrical  Net_29;

    cy_psoc3_abuf_v1_0 ABuf (
        .vplus(Vplus),
        .vminus(Net_29),
        .vout(Vout));

	// abuf_negInput_mux (cy_analog_virtualmux_v1_0)
	cy_connect_v1_0 abuf_negInput_mux_connect(Net_29, Vout);
	defparam abuf_negInput_mux_connect.sig_width = 1;



endmodule

// Mixer_v1_50(LO_Freq=1, Minimum_Vdda=0, Mixer_Type=1, Power=3, CY_COMPONENT_NAME=Mixer_v1_50, CY_INSTANCE_SHORT_NAME=Mixer_1, CY_MAJOR_VERSION=1, CY_MINOR_VERSION=50, CY_REMOVE=false, CY_SUPPRESS_API_GEN=false, CY_VERSION=cydsfit No Version Information Found, INSTANCE_NAME=Mixer_1, )
module Mixer_v1_50_27 (Fin, Fout, LO, Vref);
    inout   Fin;
    electrical   Fin;
    inout   Fout;
    electrical   Fout;
    input   LO;
    inout   Vref;
    electrical   Vref;


    wire  Net_147;
    wire  Net_144;
    wire  Net_145;
    wire  Net_146;
    wire  Net_134;
    wire  Net_51;

    cy_psoc3_scblock_v1_0 SC (
        .vin(Fin),
        .vref(Vref),
        .vout(Fout),
        .modout_sync(Net_144),
        .aclk(LO),
        .clk_udb(LO),
        .dyn_cntl(Net_145),
        .bst_clk(Net_134));

    ZeroTerminal ZeroTerminal_1 (
        .z(Net_145));

	// SCBoostClkMux_Mixer (cy_virtualmux_v1_0)
	assign Net_134 = Net_146;

    ZeroTerminal ZeroTerminal_4 (
        .z(Net_146));



endmodule

// top
module top ;

    electrical  Net_334;
    electrical  Net_327;
    wire  Net_88;
    electrical  Net_256;
    electrical  Net_332;
    wire  Net_68;
    wire  Net_67;
    wire  Net_77;
    wire  Net_76;
    wire  Net_75;
    wire  Net_74;
    wire  Net_243;
    wire  Net_73;
    wire  Net_241;
    wire  Net_242;
    wire  Net_72;
    wire  Net_71;
    wire  Net_70;
    wire  Net_240;
    wire  Net_69;
    wire  Net_79;
    wire  Net_78;
    wire  Net_81;
    wire  Net_80;
    wire  Net_225;
    electrical  Net_326;
    electrical  Net_264;
    electrical  Net_246;
    wire  Net_114;
    wire  Net_48;
    wire [0:23] Net_93;
    wire [0:23] Net_90;

	wire [0:0] tmpOE__Pin_06_net;
	wire [0:0] tmpFB_0__Pin_06_net;
	wire [0:0] tmpIO_0__Pin_06_net;
	wire [0:0] tmpINTERRUPT_0__Pin_06_net;
	electrical [0:0] tmpSIOVREF__Pin_06_net;

	cy_psoc3_pins_v1_10
		#(.id("ed092b9b-d398-4703-be89-cebf998501f6"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b1),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		Pin_06
		 (.oe(tmpOE__Pin_06_net),
		  .y({Net_93[23]}),
		  .fb({tmpFB_0__Pin_06_net[0:0]}),
		  .io({tmpIO_0__Pin_06_net[0:0]}),
		  .siovref(tmpSIOVREF__Pin_06_net),
		  .interrupt({tmpINTERRUPT_0__Pin_06_net[0:0]}));

	assign tmpOE__Pin_06_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

    FR_Adders24_22 FR_Adders24_1 (
        .A(Net_93[0:23]),
        .B(Net_90[0:23]),
        .Cin(Net_48),
        .Clk(Net_114),
        .S(Net_93[0:23]),
        .Cout(Net_225));

    CyControlReg_v1_50 CRegLo (
        .control_1(Net_90[1]),
        .control_2(Net_90[2]),
        .control_3(Net_90[3]),
        .control_0(Net_90[0]),
        .control_4(Net_90[4]),
        .control_5(Net_90[5]),
        .control_6(Net_90[6]),
        .control_7(Net_90[7]),
        .clock(1'b0),
        .reset(1'b0));
    defparam CRegLo.Bit0Mode = 0;
    defparam CRegLo.Bit1Mode = 0;
    defparam CRegLo.Bit2Mode = 0;
    defparam CRegLo.Bit3Mode = 0;
    defparam CRegLo.Bit4Mode = 0;
    defparam CRegLo.Bit5Mode = 0;
    defparam CRegLo.Bit6Mode = 0;
    defparam CRegLo.Bit7Mode = 0;
    defparam CRegLo.BitValue = 0;
    defparam CRegLo.DeviceFamily = "PSoC5";
    defparam CRegLo.ExternalReset = 0;
    defparam CRegLo.NumOutputs = 8;
    defparam CRegLo.SiliconRevision = "1  ";

    CyControlReg_v1_50 CRegMe (
        .control_1(Net_90[9]),
        .control_2(Net_90[10]),
        .control_3(Net_90[11]),
        .control_0(Net_90[8]),
        .control_4(Net_90[12]),
        .control_5(Net_90[13]),
        .control_6(Net_90[14]),
        .control_7(Net_90[15]),
        .clock(1'b0),
        .reset(1'b0));
    defparam CRegMe.Bit0Mode = 0;
    defparam CRegMe.Bit1Mode = 0;
    defparam CRegMe.Bit2Mode = 0;
    defparam CRegMe.Bit3Mode = 0;
    defparam CRegMe.Bit4Mode = 0;
    defparam CRegMe.Bit5Mode = 0;
    defparam CRegMe.Bit6Mode = 0;
    defparam CRegMe.Bit7Mode = 0;
    defparam CRegMe.BitValue = 0;
    defparam CRegMe.DeviceFamily = "PSoC5";
    defparam CRegMe.ExternalReset = 0;
    defparam CRegMe.NumOutputs = 8;
    defparam CRegMe.SiliconRevision = "1  ";

    ZeroTerminal ZeroTerminal_1 (
        .z(Net_48));

    UART_v1_50_23 UART_1 (
        .cts_n(1'b0),
        .tx(Net_240),
        .rts_n(Net_70),
        .tx_en(Net_71),
        .clock(1'b0),
        .reset(Net_242),
        .rx(Net_241),
        .tx_interrupt(Net_73),
        .rx_interrupt(Net_243),
        .tx_data(Net_74),
        .tx_clk(Net_75),
        .rx_data(Net_76),
        .rx_clk(Net_77));
    defparam UART_1.Address1 = 0;
    defparam UART_1.Address2 = 0;
    defparam UART_1.EnIntRXInterrupt = 0;
    defparam UART_1.EnIntTXInterrupt = 0;
    defparam UART_1.FlowControl = 0;
    defparam UART_1.HalfDuplexEn = 0;
    defparam UART_1.HwTXEnSignal = 0;
    defparam UART_1.NumDataBits = 8;
    defparam UART_1.NumStopBits = 1;
    defparam UART_1.ParityType = 0;
    defparam UART_1.RXEnable = 1;
    defparam UART_1.TXEnable = 1;

	wire [0:0] tmpOE__Rx_P12_3_net;
	wire [0:0] tmpIO_0__Rx_P12_3_net;
	wire [0:0] tmpINTERRUPT_0__Rx_P12_3_net;
	electrical [0:0] tmpSIOVREF__Rx_P12_3_net;

	cy_psoc3_pins_v1_10
		#(.id("1425177d-0d0e-4468-8bcc-e638e5509a9b"),
		  .drive_mode(3'b001),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("I"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b00),
		  .width(1))
		Rx_P12_3
		 (.oe(tmpOE__Rx_P12_3_net),
		  .y({1'b0}),
		  .fb({Net_241}),
		  .io({tmpIO_0__Rx_P12_3_net[0:0]}),
		  .siovref(tmpSIOVREF__Rx_P12_3_net),
		  .interrupt({tmpINTERRUPT_0__Rx_P12_3_net[0:0]}));

	assign tmpOE__Rx_P12_3_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

	wire [0:0] tmpOE__Tx_P67_net;
	wire [0:0] tmpFB_0__Tx_P67_net;
	wire [0:0] tmpIO_0__Tx_P67_net;
	wire [0:0] tmpINTERRUPT_0__Tx_P67_net;
	electrical [0:0] tmpSIOVREF__Tx_P67_net;

	cy_psoc3_pins_v1_10
		#(.id("7e3a4717-f2fc-4576-b499-5b4da5ea9c49"),
		  .drive_mode(3'b110),
		  .ibuf_enabled(1'b1),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("CONTIGUOUS"),
		  .output_conn(1'b1),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("O"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(0),
		  .vtrip(2'b10),
		  .width(1))
		Tx_P67
		 (.oe(tmpOE__Tx_P67_net),
		  .y({Net_240}),
		  .fb({tmpFB_0__Tx_P67_net[0:0]}),
		  .io({tmpIO_0__Tx_P67_net[0:0]}),
		  .siovref(tmpSIOVREF__Tx_P67_net),
		  .interrupt({tmpINTERRUPT_0__Tx_P67_net[0:0]}));

	assign tmpOE__Tx_P67_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

    CyControlReg_v1_50 CRegHi (
        .control_1(Net_90[17]),
        .control_2(Net_90[18]),
        .control_3(Net_90[19]),
        .control_0(Net_90[16]),
        .control_4(Net_90[20]),
        .control_5(Net_90[21]),
        .control_6(Net_90[22]),
        .control_7(Net_90[23]),
        .clock(1'b0),
        .reset(1'b0));
    defparam CRegHi.Bit0Mode = 0;
    defparam CRegHi.Bit1Mode = 0;
    defparam CRegHi.Bit2Mode = 0;
    defparam CRegHi.Bit3Mode = 0;
    defparam CRegHi.Bit4Mode = 0;
    defparam CRegHi.Bit5Mode = 0;
    defparam CRegHi.Bit6Mode = 0;
    defparam CRegHi.Bit7Mode = 0;
    defparam CRegHi.BitValue = 1;
    defparam CRegHi.DeviceFamily = "PSoC5";
    defparam CRegHi.ExternalReset = 0;
    defparam CRegHi.NumOutputs = 8;
    defparam CRegHi.SiliconRevision = "1  ";

    ZeroTerminal ZeroTerminal_2 (
        .z(Net_242));


	cy_isr_v1_0
		#(.int_type(2'b10))
		isr_1
		 (.int_signal(Net_243));


    CharLCD_v1_50_24 LCD_Char_1 ();


	cy_vref_v1_0
		#(.autoenable(1),
		  .guid("89B398AD-36A8-4627-9212-707F2986319E"),
		  .ignoresleep(0),
		  .name("1.024V"))
		vRef_1
		 (.vout(Net_332));



	cy_vref_v1_0
		#(.autoenable(1),
		  .guid("4720866E-BC14-478d-B8A0-3E44F38CADAC"),
		  .ignoresleep(0),
		  .name("Vdda/2"))
		vRef_2
		 (.vout(Net_246));


	wire [0:0] tmpOE__Pin_02_net;
	wire [0:0] tmpFB_0__Pin_02_net;
	wire [0:0] tmpIO_0__Pin_02_net;
	wire [0:0] tmpINTERRUPT_0__Pin_02_net;
	electrical [0:0] tmpSIOVREF__Pin_02_net;

	cy_psoc3_pins_v1_10
		#(.id("cc3bcd7e-5dc0-48ea-9bf6-6aa082be1ada"),
		  .drive_mode(3'b000),
		  .ibuf_enabled(1'b0),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage("3"),
		  .layout_mode("NONCONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("A"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(1),
		  .vtrip(2'b10),
		  .width(1))
		Pin_02
		 (.oe(tmpOE__Pin_02_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__Pin_02_net[0:0]}),
		  .analog({Net_246}),
		  .io({tmpIO_0__Pin_02_net[0:0]}),
		  .siovref(tmpSIOVREF__Pin_02_net),
		  .interrupt({tmpINTERRUPT_0__Pin_02_net[0:0]}));

	assign tmpOE__Pin_02_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

    OpAmp_v1_50_25 Opamp_0 (
        .Vplus(Net_246),
        .Vout(Net_264),
        .Vminus(Net_256));
    defparam Opamp_0.Mode = 1;


	cy_clock_v1_0
		#(.id("b6821c28-cf3b-403d-944d-bd4efdc63dec"),
		  .source_clock_id(""),
		  .divisor(0),
		  .period("41666666.6666667"),
		  .is_direct(0),
		  .is_digital(1))
		Clock_1
		 (.clock_out(Net_114));


	wire [0:0] tmpOE__Pin_00_net;
	wire [0:0] tmpFB_0__Pin_00_net;
	wire [0:0] tmpIO_0__Pin_00_net;
	wire [0:0] tmpINTERRUPT_0__Pin_00_net;
	electrical [0:0] tmpSIOVREF__Pin_00_net;

	cy_psoc3_pins_v1_10
		#(.id("b1ba427f-55e6-48d1-bdc0-5a6d7a475015"),
		  .drive_mode(3'b000),
		  .ibuf_enabled(1'b0),
		  .init_dr_st(1'b0),
		  .input_sync(1'b1),
		  .intr_mode(2'b00),
		  .io_voltage(""),
		  .layout_mode("NONCONTIGUOUS"),
		  .output_conn(1'b0),
		  .output_sync(1'b0),
		  .pin_aliases(""),
		  .pin_mode("A"),
		  .por_state(4),
		  .sio_group_cnt(0),
		  .sio_hyst(1'b0),
		  .sio_ibuf(""),
		  .sio_info(2'b00),
		  .sio_obuf(""),
		  .sio_refsel(""),
		  .sio_vtrip(""),
		  .slew_rate(1'b0),
		  .spanning(1),
		  .vtrip(2'b10),
		  .width(1))
		Pin_00
		 (.oe(tmpOE__Pin_00_net),
		  .y({1'b0}),
		  .fb({tmpFB_0__Pin_00_net[0:0]}),
		  .analog({Net_327}),
		  .io({tmpIO_0__Pin_00_net[0:0]}),
		  .siovref(tmpSIOVREF__Pin_00_net),
		  .interrupt({tmpINTERRUPT_0__Pin_00_net[0:0]}));

	assign tmpOE__Pin_00_net = (`CYDEV_CHIP_MEMBER_USED == `CYDEV_CHIP_MEMBER_3A && `CYDEV_CHIP_REVISION_USED < `CYDEV_CHIP_REVISION_3A_ES3) ? ~{1'b1} : {1'b1};

    OpAmp_v1_50_26 Opamp_2 (
        .Vplus(Net_326),
        .Vout(Net_327),
        .Vminus(Net_334));
    defparam Opamp_2.Mode = 1;

    Mixer_v1_50_27 Mixer_1 (
        .Fin(Net_264),
        .Fout(Net_326),
        .LO(Net_93[23]),
        .Vref(Net_332));



endmodule

