/*******************************************************************************
* File Name: Pin_07.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Pin_07_H) /* Pins Pin_07_H */
#define CY_PINS_Pin_07_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_07_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin_07_Write(uint8 value) ;
void    Pin_07_SetDriveMode(uint8 mode) ;
uint8   Pin_07_ReadDataReg(void) ;
uint8   Pin_07_Read(void) ;
uint8   Pin_07_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin_07_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin_07_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin_07_DM_RES_UP          PIN_DM_RES_UP
#define Pin_07_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin_07_DM_OD_LO           PIN_DM_OD_LO
#define Pin_07_DM_OD_HI           PIN_DM_OD_HI
#define Pin_07_DM_STRONG          PIN_DM_STRONG
#define Pin_07_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin_07_MASK               Pin_07__MASK
#define Pin_07_SHIFT              Pin_07__SHIFT
#define Pin_07_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_07_PS                     (* (reg8 *) Pin_07__PS)
/* Data Register */
#define Pin_07_DR                     (* (reg8 *) Pin_07__DR)
/* Port Number */
#define Pin_07_PRT_NUM                (* (reg8 *) Pin_07__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_07_AG                     (* (reg8 *) Pin_07__AG)                       
/* Analog MUX bux enable */
#define Pin_07_AMUX                   (* (reg8 *) Pin_07__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_07_BIE                    (* (reg8 *) Pin_07__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_07_BIT_MASK               (* (reg8 *) Pin_07__BIT_MASK)
/* Bypass Enable */
#define Pin_07_BYP                    (* (reg8 *) Pin_07__BYP)
/* Port wide control signals */                                                   
#define Pin_07_CTL                    (* (reg8 *) Pin_07__CTL)
/* Drive Modes */
#define Pin_07_DM0                    (* (reg8 *) Pin_07__DM0) 
#define Pin_07_DM1                    (* (reg8 *) Pin_07__DM1)
#define Pin_07_DM2                    (* (reg8 *) Pin_07__DM2) 
/* Input Buffer Disable Override */
#define Pin_07_INP_DIS                (* (reg8 *) Pin_07__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_07_LCD_COM_SEG            (* (reg8 *) Pin_07__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_07_LCD_EN                 (* (reg8 *) Pin_07__LCD_EN)
/* Slew Rate Control */
#define Pin_07_SLW                    (* (reg8 *) Pin_07__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_07_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_07__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_07_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_07__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_07_PRTDSI__OE_SEL0        (* (reg8 *) Pin_07__PRTDSI__OE_SEL0) 
#define Pin_07_PRTDSI__OE_SEL1        (* (reg8 *) Pin_07__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_07_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_07__PRTDSI__OUT_SEL0) 
#define Pin_07_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_07__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_07_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_07__PRTDSI__SYNC_OUT) 


#if defined(Pin_07__INTSTAT)  /* Interrupt Registers */

    #define Pin_07_INTSTAT                (* (reg8 *) Pin_07__INTSTAT)
    #define Pin_07_SNAP                   (* (reg8 *) Pin_07__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin_07_H */


/* [] END OF FILE */
